Skip to main content

All Time High

ath

Chart: All Time High

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1closing_pricestringClosing Price
2colorstringColor ('#f00' on ATH day, '#0f0' otherwise)
3all_time_high_pricestringAll-Time High price
4all_time_high_datestringAll-Time High date

Example Request

https://charts.bitbo.io/api/v1/ath/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/ath/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/ath/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"#ff0000",
"12.34",
"2025-05-07"
],
[
"2025-05-08",
"23.45",
"#ff0000",
"23.45",
"2025-05-08"
],
[
"2025-05-09",
"34.56",
"#ff0000",
"34.56",
"2025-05-09"
]
]
}